export function createBlockPreview(code, variant) {
    if (!window.Eden)
        return "";
    const { createElement } = window.Eden.templateDescriptors[code] || {};
    if (!createElement)
        return "";
    const element = createElement(code, undefined, variant);
    return element?.outerHTML || "";
}
